de.esprit.netsuite.client.activity.transfer

## Class IOFileDownstreamConnection<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<C>
      - - de.esprit.netsuite.client.activity.transfer.IOFileDownstreamConnection<C>

- All Implemented Interfaces:
    ApplicationObject<C>, SimpleLogSupport, Dumpable, ClientObject<C>, java.io.Closeable, java.lang.AutoCloseable

      public class IOFileDownstreamConnection<C extends ClientContext>
      extends AbstractClientObject<C>
      implements java.io.Closeable

  This class performs the transfer (upload or download) of a single file
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOFileDownstreamConnection(C clientCtx, FileStreamDownloadAgent streamAgent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes all socket streams as well as the socket itself.
    `AgentId` | `getAgentId()`
    `DownloadReader` | `getDownloadReader()`
    `DownloadStream` | `getDownloadStream()`
    `java.io.InputStream` | `getReceiveStream()`
    `FileInfo` | `getRemoteFileInfo()`
    `java.io.OutputStream` | `getSendStream()`
    `java.net.Socket` | `getSocket()`
    `FileStreamJob` | `getStreamJob()`
    `boolean` | `isTransferZipped()`
    `protected java.lang.Object` | `sendObject(java.lang.Object sendObj)`
    `java.lang.String` | `toString()` Returns a single line String that shows the values of the most important state variables of this object.
    `boolean` | `wasFoundZippedOnServer()`
    `protected void` | `writeObject(java.lang.Object obj)`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientObject

      `getClientConfig, getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IOFileDownstreamConnection

          public IOFileDownstreamConnection(C clientCtx,
                                    FileStreamDownloadAgent streamAgent)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getStreamJob

          public FileStreamJob getStreamJob()

    - #### getRemoteFileInfo

          public FileInfo getRemoteFileInfo()

    - #### getSendStream

          public java.io.OutputStream getSendStream()

    - #### getReceiveStream

          public java.io.InputStream getReceiveStream()

    - #### getSocket

          public java.net.Socket getSocket()

    - #### getDownloadStream

          public DownloadStream getDownloadStream()
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getDownloadReader

          public DownloadReader getDownloadReader()
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeObject

          protected void writeObject(java.lang.Object obj)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sendObject

          protected java.lang.Object sendObject(java.lang.Object sendObj)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### close

          public void close()
                     throws java.io.IOException

      Closes all socket streams as well as the socket itself.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### isTransferZipped

          public boolean isTransferZipped()

    - #### wasFoundZippedOnServer

          public boolean wasFoundZippedOnServer()

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `Dumpable`
      Returns a single line String that shows the values of the most important state variables of this object. This is intentionally the same toString() method which is already provided by Object per se.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### getAgentId

          public AgentId getAgentId()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.